Food Ordering AI Agent API

foodorderingaiagent.googleapis.com API.

Service: foodorderingaiagent.googleapis.com

To call this service, we recommend that you use the Google-provided client libraries. If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

Discovery document

A Discovery Document is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery documents:

Service endpoint

A service endpoint is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

  • https://foodorderingaiagent.googleapis.com

REST Resource: v1beta.projects.locations.brands

Methods
create POST /v1beta/{parent=projects/*/locations/*}/brands
Creates a brand.
delete DELETE /v1beta/{name=projects/*/locations/*/brands/*}
Deletes the specified brand.
get GET /v1beta/{name=projects/*/locations/*/brands/*}
Gets a brand.
list GET /v1beta/{parent=projects/*/locations/*}/brands
Lists brands.
patch PATCH /v1beta/{brand.name=projects/*/locations/*/brands/*}
Updates the specified brand.

REST Resource: v1beta.projects.locations.brands.stores

Methods
create POST /v1beta/{parent=projects/*/locations/*/brands/*}/stores
Creates a store.
delete DELETE /v1beta/{name=projects/*/locations/*/brands/*/stores/*}
Deletes the specified store.
get GET /v1beta/{name=projects/*/locations/*/brands/*/stores/*}
Gets a store.
list GET /v1beta/{parent=projects/*/locations/*/brands/*}/stores
Lists stores.
patch PATCH /v1beta/{store.name=projects/*/locations/*/brands/*/stores/*}
Update the specified store.

REST Resource: v1beta.projects.locations.menus

Methods
create POST /v1beta/{parent=projects/*/locations/*}/menus
Creates a menu.
delete DELETE /v1beta/{name=projects/*/locations/*/menus/*}
Deletes the specified menu.
get GET /v1beta/{name=projects/*/locations/*/menus/*}
Gets a menu.
list GET /v1beta/{parent=projects/*/locations/*}/menus
Lists menus.

REST Resource: v1beta.projects.locations.menus.entities

Methods
batchGet GET /v1beta/{parent=projects/*/locations/*/menus/*}/entities:batchGet
Batch gets entities for a menu.

REST Resource: v1.projects.locations.brands

Methods
create POST /v1/{parent=projects/*/locations/*}/brands
Creates a brand.
delete DELETE /v1/{name=projects/*/locations/*/brands/*}
Deletes the specified brand.
get GET /v1/{name=projects/*/locations/*/brands/*}
Gets a brand.
list GET /v1/{parent=projects/*/locations/*}/brands
Lists brands.
patch PATCH /v1/{brand.name=projects/*/locations/*/brands/*}
Updates the specified brand.

REST Resource: v1.projects.locations.brands.stores

Methods
create POST /v1/{parent=projects/*/locations/*/brands/*}/stores
Creates a store.
delete DELETE /v1/{name=projects/*/locations/*/brands/*/stores/*}
Deletes the specified store.
get GET /v1/{name=projects/*/locations/*/brands/*/stores/*}
Gets a store.
list GET /v1/{parent=projects/*/locations/*/brands/*}/stores
Lists stores.
patch PATCH /v1/{store.name=projects/*/locations/*/brands/*/stores/*}
Update the specified store.

REST Resource: v1.projects.locations.menus

Methods
create POST /v1/{parent=projects/*/locations/*}/menus
Creates a menu.
delete DELETE /v1/{name=projects/*/locations/*/menus/*}
Deletes the specified menu.
get GET /v1/{name=projects/*/locations/*/menus/*}
Gets a menu.
list GET /v1/{parent=projects/*/locations/*}/menus
Lists menus.

REST Resource: v1.projects.locations.menus.entities

Methods
batchGet GET /v1/{parent=projects/*/locations/*/menus/*}/entities:batchGet
Batch gets entities for a menu.